Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354442 - Incorrect build link from package tab when builder != owner
Summary: Incorrect build link from package tab when builder != owner
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Copr
Classification: Community
Component: frontend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Kadlčík
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 10:30 UTC by Miroslav Suchý
Modified: 2016-10-03 20:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-12 17:06:20 UTC


Attachments (Terms of Use)

Description Miroslav Suchý 2016-07-11 10:30:47 UTC
Description of problem:
See https://copr.fedorainfracloud.org/coprs/vondruch/ror5/package/rubygem-actionview/
And notice that link to build returns 404

How reproducible:
deterministic

Steps to Reproduce:
1. create project (*not* group project)
2. give ACL to some user e.g. "foo"
3. user foo submit build "bar"
4. got to package list and click on package "bar"

Actual results:
the links to builds returns 404 because it is:
  https://copr.fedorainfracloud.org/coprs/jaruga/ror5/build/375636/
instead of
  https://copr.fedorainfracloud.org/coprs/vondruch/ror5/build/375636/

Comment 1 Jakub Kadlčík 2016-07-11 14:40:00 UTC
Modified in: a065e6f

Comment 2 Fedora Update System 2016-08-17 14:43:17 UTC
copr-frontend-1.99-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d021ff520

Comment 3 Fedora Update System 2016-08-17 14:43:36 UTC
copr-frontend-1.99-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c38bc25dbc

Comment 4 Fedora Update System 2016-08-18 01:50:21 UTC
copr-frontend-1.99-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c38bc25dbc

Comment 5 Fedora Update System 2016-08-18 01:51:19 UTC
copr-frontend-1.99-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d021ff520

Comment 6 clime 2016-08-18 16:20:45 UTC
New Copr has been released.

Comment 7 Fedora Update System 2016-09-12 06:25:18 UTC
copr-frontend-1.101-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a3cdc5801

Comment 8 Fedora Update System 2016-09-12 06:26:12 UTC
copr-frontend-1.101-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b1155f62d6

Comment 9 Fedora Update System 2016-09-12 14:50:47 UTC
copr-frontend-1.101-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a3cdc5801

Comment 10 Fedora Update System 2016-09-12 15:26:55 UTC
copr-frontend-1.101-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b1155f62d6

Comment 11 Fedora Update System 2016-10-03 17:23:01 UTC
copr-frontend-1.101-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-10-03 20:20:56 UTC
copr-frontend-1.101-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.